#include "ConveyorBelt.h"
#include <iostream>
using namespace std;

ConveyorBelt::ConveyorBelt(int capacity) {
	this->capacity = capacity;
}

void ConveyorBelt::addObject(Object* object) {
	if (this->objects_count < capacity) {
		ObjectList::addObject(object);
	}
	else {
		cout << "Capacity full." << endl;
	}
}

void ConveyorBelt::work() {
	// DEBUG sa uslovom
	while (this->objects_count > 0) {
		Object* obj = this->removeFirst();
		cout << "Object done: ";
		obj->print();
		cout << endl;
		delete obj;
	}
}
